* {
    margin:     0;
    padding:    0;
    box-sizing: border-box;
}

body {
    height:          100vh;
    display:         flex;
    justify-content: center;
    align-items:     center;
    font-size:       2rem;
}

.navigation {
    position:   relative;
    height:     500px;
    width:      60px;
    background: #20072f;
    box-shadow: 10px 0 0 #4187f6;
    overflow-x: hidden;
    transition: width 0.5s;
}

.navigation:hover {
    width: 300px;
}

.navigation ul {
    position: absolute;
    inset:    0;
    width:    100%;
    padding:  40px 0 0 5px;
}

.navigation ul li {
    position:                  relative;
    list-style:                none;
    width:                     100%;
    display:                   flex;
    border-top-left-radius:    0.5rem;
    border-bottom-left-radius: 0.5rem;
    margin-left:               5px;
}

.navigation ul li a {
    position:        relative;
    width:           100%;
    text-decoration: none;
    color:           #fff;
    align-items:     center;
    display:         flex;
}

.icon {
    position:        relative;
    display:         flex;
    width:           60px;
    height:          60px;
    justify-content: center;
    align-items:     center;
    padding:         0 10px;
}

.active {
    background: #4187f6;
}

.active a::before {
    content:       "";
    position:      absolute;
    background:    #20072f;
    border-radius: 50%;
    width:         20px;
    top:           -20px;
    right:         5px;
    bottom:        60px;
    box-shadow:    5px 5px 0 #4187f6;
}

.active a::after {
    content:       "";
    position:      absolute;
    background:    #20072f;
    border-radius: 50%;
    width:         20px;
    bottom:        -20px;
    right:         5px;
    top:           60px;
    box-shadow:    5px -5px 0 #4187f6;
}